<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Log;

class LogoutController extends Controller
{
    public function index()
    {
        session(['LoginSession' => "false"]);
        session([
            'referentID' => '',
            'employeeName' => '',
            'employeeSurname' => '']);

        $clientIP = request()->ip();
        $currentUsername = session()->get('username');
        $logData = array('The website is loged out', "IP" => $clientIP, 'username' => $currentUsername);
        Log::channel('sales_pipeline_log')->info(json_encode($logData));

        return redirect()->route('login');
    }
}
