function toast_action(toastrMessage) {
    toastr.options = {
        closeButton: toastrMessage.closeButton ?? true,
        debug: toastrMessage.debug ?? false,
        newestOnTop: toastrMessage.newestOnTop ?? false,
        progressBar: toastrMessage.progressBar ?? true,
        positionClass: toastrMessage.positionClass ?? "toast-top-right",
        preventDuplicates: toastrMessage.preventDuplicates ?? false,
        onclick: null,
        showDuration: toastrMessage.showDuration ?? 300,
        hideDuration: toastrMessage.hideDuration ?? 1000,
        timeOut: toastrMessage.timeOut ?? 5000,
        extendedTimeOut: toastrMessage.extendedTimeOut ?? 1000,
        showEasing: toastrMessage.showEasing ?? "swing",
        hideEasing: toastrMessage.hideEasing ?? "linear",
        showMethod: toastrMessage.showMethod ?? "fadeIn",
        hideMethod: toastrMessage.hideMethod ?? "fadeOut",
    };

    toastr[toastrMessage.type ?? ""](toastrMessage.message);
}

function editCompanyData(table) {
    var company_table = document.getElementById("company_table");
    var row_index = table.parentNode.parentNode.rowIndex;

    var currentRowData = new Object();
    currentRowData.com_id = company_table.rows
        .item(row_index)
        .cells.item(0).innerHTML;
    currentRowData.com_name = company_table.rows
        .item(row_index)
        .cells.item(1).innerHTML;
    currentRowData.tblcompanytype_id = company_table.rows
        .item(row_index)
        .cells.item(2).innerHTML;
    currentRowData.tblcompanytype_name = company_table.rows
        .item(row_index)
        .cells.item(3).innerHTML;
    currentRowData.tblindustry_id = company_table.rows
        .item(row_index)
        .cells.item(4).innerHTML;
    currentRowData.tblindustry_name = company_table.rows
        .item(row_index)
        .cells.item(5).innerHTML;
    currentRowData.email = company_table.rows
        .item(row_index)
        .cells.item(6).innerHTML;
    currentRowData.website = company_table.rows
        .item(row_index)
        .cells.item(7).innerHTML;
    currentRowData.address = company_table.rows
        .item(row_index)
        .cells.item(8).innerHTML;

    var jsonString = JSON.stringify(currentRowData);
    document.getElementById("currentRowData").value = jsonString;
}

function editContactData(table) {
    var contact_table = document.getElementById("contact_table");
    var row_index = table.parentNode.parentNode.rowIndex;

    var currentRowData = new Object();
    currentRowData.contact_id = contact_table.rows
        .item(row_index)
        .cells.item(0).innerHTML;
    currentRowData.tblcompany_id = contact_table.rows
        .item(row_index)
        .cells.item(1).innerHTML;
    currentRowData.com_name = contact_table.rows
        .item(row_index)
        .cells.item(2).innerHTML;
    currentRowData.contact_name = contact_table.rows
        .item(row_index)
        .cells.item(3).innerHTML;
    currentRowData.conatct_surname = contact_table.rows
        .item(row_index)
        .cells.item(4).innerHTML;
    currentRowData.phone = contact_table.rows
        .item(row_index)
        .cells.item(5).innerHTML;
    currentRowData.email = contact_table.rows
        .item(row_index)
        .cells.item(6).innerHTML;
    currentRowData.contact_status = contact_table.rows
        .item(row_index)
        .cells.item(7).innerHTML;

    var jsonString = JSON.stringify(currentRowData);
    document.getElementById("currentRowData").value = jsonString;
}

function editDealData(table) {
    var deal_table = document.getElementById("deal_table");
    var row_index = table.parentNode.parentNode.rowIndex;
    var deal_id = deal_table.rows.item(row_index).cells.item(0).innerHTML;
    var deal_name = deal_table.rows.item(row_index).cells.item(1).innerHTML;
    var dealstatus = deal_table.rows.item(row_index).cells.item(2).innerHTML;
    var dealval = deal_table.rows.item(row_index).cells.item(3).innerHTML;
    var tblcompany_id = deal_table.rows.item(row_index).cells.item(4).innerHTML;
    var company_name = deal_table.rows.item(row_index).cells.item(5).innerHTML;
    var tblcontact_id = deal_table.rows.item(row_index).cells.item(6).innerHTML;
    var contact_fullname = deal_table.rows
        .item(row_index)
        .cells.item(7).innerHTML;
    var deal_status = deal_table.rows.item(row_index).cells.item(8).innerHTML;
    var tbldealtype_id = deal_table.rows
        .item(row_index)
        .cells.item(9).innerHTML;
    var dealtype_name = deal_table.rows
        .item(row_index)
        .cells.item(10).innerHTML;
    var tblsource_id = deal_table.rows.item(row_index).cells.item(11).innerHTML;
    var source_name = deal_table.rows.item(row_index).cells.item(12).innerHTML;
    var detail = deal_table.rows.item(row_index).cells.item(13).innerHTML;
    var tbluser_id = deal_table.rows.item(row_index).cells.item(14).innerHTML;
    var user_fullname = deal_table.rows
        .item(row_index)
        .cells.item(15).innerHTML;

    var currentRowData = new Object();
    currentRowData.deal_id = deal_id;
    currentRowData.deal_name = deal_name;
    currentRowData.dealstatus = dealstatus;
    currentRowData.dealval = dealval;
    currentRowData.tblcompany_id = tblcompany_id;
    currentRowData.tblcontact_id = tblcontact_id;
    currentRowData.deal_status = deal_status;
    currentRowData.tbldealtype_id = tbldealtype_id;
    currentRowData.tblsource_id = tblsource_id;
    currentRowData.detail = detail;
    currentRowData.tbluser_id = tbluser_id;

    var jsonString = JSON.stringify(currentRowData);
    document.getElementById("currentRowData").value = jsonString;
}

function editCompanyTypeData(table) {
    var company_type_table = document.getElementById("company_type_table");
    var row_index = table.parentNode.parentNode.rowIndex;

    var currentRowData = new Object();
    currentRowData.com_type_id = company_type_table.rows
        .item(row_index)
        .cells.item(0).innerHTML;
    currentRowData.com_type_name = company_type_table.rows
        .item(row_index)
        .cells.item(1).innerHTML;
    currentRowData.com_type_status = company_type_table.rows
        .item(row_index)
        .cells.item(2).innerHTML;

    var jsonString = JSON.stringify(currentRowData);
    document.getElementById("currentRowData").value = jsonString;
}

function editIndustryData(table) {
    var company_type_table = document.getElementById("industry_table");
    var row_index = table.parentNode.parentNode.rowIndex;

    var currentRowData = new Object();
    currentRowData.industry_id = company_type_table.rows
        .item(row_index)
        .cells.item(0).innerHTML;
    currentRowData.industry_name = company_type_table.rows
        .item(row_index)
        .cells.item(1).innerHTML;
    currentRowData.industry_status = company_type_table.rows
        .item(row_index)
        .cells.item(2).innerHTML;

    var jsonString = JSON.stringify(currentRowData);
    document.getElementById("currentRowData").value = jsonString;
}

function editDealTypeData(table) {
    var deal_type_table = document.getElementById("deal_type_table");
    var row_index = table.parentNode.parentNode.rowIndex;

    var currentRowData = new Object();
    currentRowData.deal_type_id = deal_type_table.rows
        .item(row_index)
        .cells.item(0).innerHTML;
    currentRowData.deal_type_name = deal_type_table.rows
        .item(row_index)
        .cells.item(1).innerHTML;
    currentRowData.deal_type_status = deal_type_table.rows
        .item(row_index)
        .cells.item(2).innerHTML;

    var jsonString = JSON.stringify(currentRowData);
    document.getElementById("currentRowData").value = jsonString;
}



function editSourceData(table) {
    var company_type_table = document.getElementById("source_table");
    var row_index = table.parentNode.parentNode.rowIndex;

    var currentRowData = new Object();
    currentRowData.source_id = company_type_table.rows
        .item(row_index)
        .cells.item(0).innerHTML;
    currentRowData.source_name = company_type_table.rows
        .item(row_index)
        .cells.item(1).innerHTML;
    currentRowData.source_status = company_type_table.rows
        .item(row_index)
        .cells.item(2).innerHTML;
    var jsonString = JSON.stringify(currentRowData);
    document.getElementById("currentRowData").value = jsonString;
}

function changeColor() {
    var dealStatus = document.getElementById("dealstatus");
    var option = dealStatus.value;

    if (option == "New") {
        dealStatus.style.backgroundColor = "#008000";
    }
    if (option == "Dealing") {
        dealStatus.style.backgroundColor = "#800080";
    }
    if (option == "Win") {
        dealStatus.style.backgroundColor = "#0000FF";
    }
    if (option == "Lost") {
        dealStatus.style.backgroundColor = "#800000";
    }
    if (option == "In-progress") {
        dealStatus.style.backgroundColor = "#808000";
    }
}

// Deal edition
function changeColor() {
    var dealStatus = document.getElementById("dealstatus");
    var option = dealStatus.value;

    if (option == "New") {
        dealStatus.style.backgroundColor = "#008000";
    }
    if (option == "Dealing") {
        dealStatus.style.backgroundColor = "#800080";
    }
    if (option == "Win") {
        dealStatus.style.backgroundColor = "#0000FF";
    }
    if (option == "Lost") {
        dealStatus.style.backgroundColor = "#800000";
    }
    if (option == "In-progress") {
        dealStatus.style.backgroundColor = "#808000";
    }
}

var checkConfirmingPassword = function () {
    document.getElementById("password_confirmation_message").innerHTML = "";
    if (
        document.getElementById("new_password").value.trim() != "" &&
        document.getElementById("password_confirmation").value.trim() != ""
    ) {
        if (
            document.getElementById("new_password").value ==
            document.getElementById("password_confirmation").value
        ) {
            document.getElementById(
                "password_confirmation_message"
            ).style.color = "green";
            document.getElementById("password_confirmation_message").innerHTML =
                "Password confirmation has matched!";
        } else {
            document.getElementById(
                "password_confirmation_message"
            ).style.color = "red";
            document.getElementById("password_confirmation_message").innerHTML =
                "Password confirmation dost not match!";
        }
    }
};
function incorrectActivePassword() {
    var old_passowrd = document.getElementById("old_passowrd");
    old_passowrd.classList.add("is-invalid");
    document.getElementById("password_message").innerHTML =
        "The inputted password is incorrect!";
}
function focusPassword1() {
    var old_passowrd = document.getElementById("old_passowrd");
    old_passowrd.classList.remove("is-invalid");
    document.getElementById("password_message").innerHTML = "";
}
function focusPassword2() {
    document
        .getElementById("password_confirmation")
        .classList.remove("is-invalid");
    document.getElementById("password_confirmation_message").innerHTML = "";
}
function showAndHidePasswordChangeGroup() {
    var passwordChange = document.getElementById("passwordChange");
    var passwordChangeGroup = document.getElementById("password_change_group");
    var old_passowrd = document.getElementById("old_passowrd");
    var new_password = document.getElementById("new_password");
    var password_confirmation = document.getElementById(
        "password_confirmation"
    );

    if (passwordChange.checked) {
        passwordChange.value = "yes";
        passwordChangeGroup.style.display = "block";
        old_passowrd.required = true;
        new_password.required = true;
        password_confirmation.required = true;
    } else {
        passwordChange.value = "no";
        passwordChangeGroup.style.display = "none";
        old_passowrd.required = false;
        new_password.required = false;
        password_confirmation.required = false;
    }
}
