@extends('head-ref-src')

<head>
    <script src="{{ asset('js/all_actions.js') }}"></script>
</head>

<body id="body-pd">

    <header class="header" id="header">

        <div class="header_toggle"> <i class='bx bx-menu' id="header-toggle"></i> </div>
        <div>

            @if (Request::is('company'))
                <h4 class="header-title">Company Data Management</h4>
            @endif
            @if (Request::is('company/edtion/add'))
                <h4 class="header-title">Add Company Data</h4>
            @endif
            @if (Request::is('company/edtion/update'))
                <h4 class="header-title">Update Company Data</h4>
            @endif

            @if (Request::is('contact'))
                <h4 class="header-title">Contact Data Management</h4>
            @endif
            @if (Request::is('contact/edtion/add'))
                <h4 class="header-title">Add Contact Data</h4>
            @endif
            @if (Request::is('contact/edtion/update'))
                <h4 class="header-title">Update Contact Data</h4>
            @endif

            @if (Request::is('deal'))
                <h4 class="header-title">Deal Data Management</h4>
            @endif
            @if (Request::is('deal/edtion/add'))
                <h4 class="header-title">Add Deal Data</h4>
            @endif
            @if (Request::is('deal/edtion/update'))
                <h4 class="header-title">Update Deal Data</h4>
            @endif



            @if (Request::is('deal-activity/edtion/add/0'))
                <h4 class="header-title">Add Deal Activity Data</h4>
            @endif

            @if (str_contains(url()->current(), '/deal-activity/edtion/update'))
                <h4 class="header-title">Update Deal Activity Data</h4>
            @endif

            @if (Request::is('setting/company-type'))
                <h4 class="header-title">Company Type Data Management</h4>
            @endif
            @if (Request::is('setting/company-type/edtion/add'))
                <h4 class="header-title">Add Company Type Data</h4>
            @endif
            @if (Request::is('setting/company-type/edtion/update'))
                <h4 class="header-title">Update Company Type Data</h4>
            @endif

            @if (Request::is('setting/industry'))
                <h4 class="header-title">Industry Data Management</h4>
            @endif
            @if (Request::is('setting/industry/edtion/add'))
                <h4 class="header-title">Add Industry Data</h4>
            @endif
            @if (Request::is('setting/industry/edtion/update'))
                <h4 class="header-title">Update Industry Data</h4>
            @endif

            @if (Request::is('setting/deal-type'))
                <h4 class="header-title">Deal Type Data Management</h4>
            @endif
            @if (Request::is('setting/deal-type/edtion/add'))
                <h4 class="header-title">Add Deal Type Data</h4>
            @endif
            @if (Request::is('setting/deal-type/edtion/update'))
                <h4 class="header-title">Update Deal Type Data</h4>
            @endif


            @if (Request::is('setting/source'))
                <h4 class="header-title">Source Data Management</h4>
            @endif
            @if (Request::is('setting/source/edtion/add'))
                <h4 class="header-title">Add Source Data</h4>
            @endif
            @if (Request::is('setting/source/edtion/update'))
                <h4 class="header-title">Update Source Data</h4>
            @endif

            @if (Request::is('profile/false') | Request::is('profile/true'))
                <h4 class="header-title">Profile Data Updation</h4>
            @endif

        </div>

        <div>
            <a href="{{ route('profile', ['passwordChange' => 'false']) }}"><span id="currentUsername"
                    class="current-user"></span></a>
        </div>
    </header>

    <div class="l-navbar" id="nav-bar">
        <nav class="nav">

            <a class="nav_logo">
                <i class='bx bx-layer nav_logo-icon'></i>
                <span class="nav_logo-name">Menu</span>
            </a>

            <div class="nav_list" id="main_menu_id">

                <a id="company" title="Company" href="{{ route('company') }}"
                    class="nav_link 
                        {{ Request::is('company') ? 'active' : '' }} 
                        {{ Request::is('company/edtion/add') ? 'active' : '' }} 
                        {{ Request::is('company/edtion/update') ? 'active' : '' }}"
                    onclick="clickMainMenu();">
                    <iconify-icon icon="mdi:company"></iconify-icon>
                    <span class="nav_name">Company</span>
                </a>

                <a id="contact" title="Contact" href="{{ route('contact') }}"
                    class="nav_link 
                        {{ Request::is('contact') ? 'active' : '' }} 
                        {{ Request::is('contact/edtion/add') ? 'active' : '' }} 
                        {{ Request::is('contact/edtion/update') ? 'active' : '' }}"
                    onclick="clickMainMenu();">
                    <iconify-icon icon="teenyicons:contact-solid"></iconify-icon>
                    <span class="nav_name">Contact</span>
                </a>

                <a id="deal" title="Deal" href="{{ route('deal') }}"
                    class="nav_link 
                        {{ Request::is('deal') ? 'active' : '' }} 
                        {{ Request::is('deal/edtion/add') ? 'active' : '' }} 
                        {{ Request::is('deal/edtion/update') ? 'active' : '' }}"
                    onclick="clickMainMenu();">
                    <iconify-icon icon="cib:ideal"></iconify-icon>
                    <span class="nav_name">Deal</span>
                </a>

                <a id="setting" title="Setting" class="nav_link" style="cursor: pointer;" onclick="clickSubMenu();"
                    href="{{ route('company-type') }}">
                    <i class='bx bxs-cog nav_icon'></i>
                    <span class="nav_name">Setting</span>
                </a>
            </div>

            <div id="sub_menu_id" class="nav_list hide-sub-menu" style="margin-left: 10px">

                <a title="Company Type" id="company_type_id" href="{{ route('company-type') }}"
                    class="nav_link  
                            {{ Request::is('setting/company-type') ? 'active' : '' }} 
                            {{ Request::is('setting/company-type/edtion/add') ? 'active' : '' }} 
                            {{ Request::is('setting/company-type/edtion/update') ? 'active' : '' }}"
                    onclick="clickSubMenu();">
                    <i class="bx bx-buildings"></i>
                    <span class="nav_name">Company Type</span>
                </a>

                <a title="Industry" id="industry_id" href="{{ route('industry') }}"
                    class="nav_link 
                        {{ Request::is('setting/industry') ? 'active' : '' }} 
                        {{ Request::is('setting/industry/edtion/add') ? 'active' : '' }} 
                        {{ Request::is('setting/industry/edtion/update') ? 'active' : '' }}"
                    onclick="clickSubMenu();">
                    <iconify-icon icon="la:industry"></iconify-icon>
                    <span class="nav_name">Industry</span>
                </a>

                <a title="Deal Type" id="deal_type_id" href="{{ route('deal-type') }}"
                    class="nav_link 
                        {{ Request::is('setting/deal-type') ? 'active' : '' }} 
                        {{ Request::is('setting/deal-type/edtion/add') ? 'active' : '' }} 
                        {{ Request::is('setting/deal-type/edtion/update') ? 'active' : '' }}"
                    onclick="clickSubMenu();">
                    <iconify-icon icon="iconoir:plug-type-l"></iconify-icon>
                    <span class="nav_name">Deal Type</span>
                </a>

                {{-- <a title="Deal Activity" id="deal_activity_id" href="{{ route('deal-activity') }}"
                    class="nav_link 
                        {{ Request::is('setting/deal-activity') ? 'active' : '' }} 
                        {{ Request::is('setting/deal-activity/edtion/add') ? 'active' : '' }} 
                        {{ Request::is('setting/deal-activity/edtion/update') ? 'active' : '' }}"
                    onclick="clickSubMenu();">
                    <iconify-icon icon="fluent-mdl2:account-activity"></iconify-icon>
                    <span class="nav_name">Deal Activity</span>
                </a> --}}

                <a title="Source" id="source_id" href="{{ route('source') }}"
                    class="nav_link   
                        {{ Request::is('setting/source') ? 'active' : '' }} 
                        {{ Request::is('setting/source/edtion/add') ? 'active' : '' }} 
                        {{ Request::is('setting/source/edtion/update') ? 'active' : '' }}"
                    onclick="clickSubMenu();">
                    <iconify-icon icon="fluent-mdl2:source"></iconify-icon>
                    <span class="nav_name">Source</span>
                </a>

            </div>


            <a class="nav_link" style="cursor: pointer;" onclick="comfirmLogout()" id="logout">
                <iconify-icon title="Logout" icon="ic:baseline-logout"></iconify-icon>
                <span class="nav_name">Logout</span>
            </a>


        </nav>

    </div>
    @if (session('employeeName') && session('employeeSurname'))
        <script>
            document.getElementById("currentUsername").innerHTML = @json(session('employeeName')) + " " +
                @json(session('employeeSurname'));
        </script>
    @endif
    <script>
        function clickSubMenu() {
            document.getElementById('sub_menu_id').classList.remove("hide-sub-menu");
            document.getElementById('sub_menu_id').classList.add("show-sub-menu");
            document.getElementById('setting').style.color = "#f7f6fb";
        }

        function clickMainMenu() {
            document.getElementById('sub_menu_id').classList.add("hide-sub-menu");
            document.getElementById('sub_menu_id').classList.remove("show-sub-menu");
            document.getElementById('setting').style.color = "#afa5d9";
        }

        document.addEventListener("DOMContentLoaded", function(event) {

            const showNavbar = (toggleId, navId, bodyId, headerId) => {
                const toggle = document.getElementById(toggleId),
                    nav = document.getElementById(navId),
                    bodypd = document.getElementById(bodyId),
                    headerpd = document.getElementById(headerId);

                if (toggle && nav && bodypd && headerpd) {
                    toggle.addEventListener('click', () => {
                        nav.classList.toggle('show');
                        toggle.classList.toggle('bx-x');
                        bodypd.classList.toggle('body-pd');
                        headerpd.classList.toggle('body-pd');
                        let showingNav = nav.classList.contains("show");
                        sessionStorage.setItem('showingNav', showingNav);
                    })

                }
            }

            showNavbar('header-toggle', 'nav-bar', 'body-pd', 'header')

            if ($('#company').hasClass('active') |
                $('#contact').hasClass('active') |
                $('#deal').hasClass('active')) {
                clickMainMenu()
            } else {
                clickSubMenu();
            }

            let currentWhowNav = sessionStorage.getItem("showingNav");

            if (currentWhowNav == 'true') {
                const toggle = document.getElementById('header-toggle'),
                    nav = document.getElementById('nav-bar'),
                    bodypd = document.getElementById('body-pd'),
                    headerpd = document.getElementById('header');

                if (toggle && nav && bodypd && headerpd) {
                    nav.classList.toggle('show');
                    toggle.classList.toggle('bx-x');
                    bodypd.classList.toggle('body-pd');
                    headerpd.classList.toggle('body-pd');
                }
            }

        });

        function clickedSubMenu() {
            sub_menu = document.getElementById("sub_menu_id");
            sub_menu.style.visibility = "visible";

        }

        function comfirmLogout() {
            var cf = confirm("Do you need to log out?");
            if (cf) {
                let link = document.getElementById("logout");
                link.href = '{{ route('logout') }}';
            }
        }
    </script>

    <div class="container-fluid">
        @yield('endbody')
    </div>

</body>
