<?php $__env->startSection('content'); ?>

    <head>
        <title>Source Data Management</title>
        
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css"
            integrity="sha512-vKMx8UnXk60zUwyUnUPM3HbQo8QfmNx7+ltw8Pm5zLusl1XIfwcxo8DbWCqMGKaWeNxWA8yrx5v3SaVpMvR3CA=="
            crossorigin="anonymous" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"
            integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw=="
            crossorigin="anonymous"></script>
    </head>
    <div class="height-100">

        <form action="<?php echo e(route('source-edition', ['add'])); ?>" method="POST">
            <?php echo csrf_field(); ?>
            <button class="button-s6" type="submit">Add</button>
        </form>

        <form action="<?php echo e(route('source-edition', ['update'])); ?>" method="POST">
            <?php echo csrf_field(); ?>

            <input type="hidden" name="currentRowData" id="currentRowData">

            <div id="data-table" class="container">

                <div class="row">
                    <table nane="source_table" id="source_table" class="table table-bordered table-striped"
                        style="width: 100%">
                        <thead>
                            <tr>
                                <th class="hidden-column"></th>
                                <th class="dt-head-center">Name</th>
                                <th class="dt-head-center">Status</th>
                                <th class="dt-head-center">Action</th>

                            </tr>
                        </thead>
                        <tbody>

                            <?php if($source_data != null): ?>
                                <?php $__currentLoopData = $source_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <th class="hidden-column"><?php echo e($row->id); ?></th>
                                        <td><?php echo e($row->name); ?></td>
                                        <td class="dt-head-center"><?php echo e($row->status); ?></td>
                                        <td class="gap-3 dt-head-center">

                                            <button class="button-s1" onclick="editSourceData(this)"
                                                type="submit">Edit</button>

                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>

                        </tbody>

                    </table>

                </div>


            </div>

        </form>

        <?php if(session('toastr')): ?>
            <script>
                var toastrMessage = <?php echo json_encode(session('toastr'), 15, 512) ?>;
                toast_action(toastrMessage);
            </script>
        <?php endif; ?>

    </div>

    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#source_table').DataTable({
                dom: '<"top-wrapper"l>rfti<"bottom-wrapper"p>',
                order: [
                    [0, 'desc']
                ],
                lengthMenu: [
                    [10, 50, 100, "All"],
                    [10, 50, 100, "All"]
                ]
            });
        })
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('main-page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/source.blade.php ENDPATH**/ ?>