<?php $__env->startSection('content'); ?>

    <div class="height-100">

        <div id="data-form" class="container mt-5 my-form">

            
            <?php if($btnStatus == 'update'): ?>

                <form action="<?php echo e(route('company-data-updation', [$currentRowData['com_id']])); ?>" method="POST"
                    name="updateData" id="updateData">
                    <?php echo csrf_field(); ?>

                    <input type="hidden" name="dataStore" id="dataStore" value="<?php echo e($dataStore); ?>">

                    <div class="form-group">
                        <label class="label-text" required class="label-text-name" for="company_name">Company name</label>
                        <input type="text" class="form-control input-form" name="company_name" id="company_name"
                            placeholder="Enter company name" maxlength="45" required
                            value="<?php echo e($currentRowData['com_name']); ?>">
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblcompanytype_id">Company type</label>
                        <br>
                        <select name="tblcompanytype_id" id="tblcompanytype_id" required>
                            <option value="Select" disabled>Please select</option>
                            <?php if($company_type_data != null): ?>
                                <?php $__currentLoopData = $company_type_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($row->status == 'Active'): ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php else: ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(true): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblindustry_id">Industry</label>
                        <br>
                        <select name="tblindustry_id" id="tblindustry_id" required>
                            <option value="Select" disabled> Please select</option>
                            <?php if($industry_data != null): ?>
                                <?php $__currentLoopData = $industry_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($row->status == 'Active'): ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php else: ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(true): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="email">Email</label>
                        <input type="email" class="form-control input-form" name="email" id="email"
                            placeholder="Enter email" value="<?php echo e($currentRowData['email']); ?>" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="website">Website </label>
                        <input type="text" class="form-control input-form" name="website" id="website"
                            placeholder="Enter website" value="<?php echo e($currentRowData['website']); ?>" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="address">Address</label>
                        <textarea cols="30" rows="5" class="form-control input-form" name="address" id="address"
                            placeholder="Enter address" required><?php echo e($currentRowData['address']); ?></textarea>
                    </div>

                    <script>
                        document.getElementById("tblcompanytype_id").value = <?php echo json_encode($currentRowData['tblcompanytype_id'], 15, 512) ?>;
                        document.getElementById("tblindustry_id").value = <?php echo json_encode($currentRowData['tblindustry_id'], 15, 512) ?>;
                    </script>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save"
                            onclick="btnSaveClicked()">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='<?php echo e(route('company')); ?>'">CLOSE</button>
                    </div>

                </form>

            <?php endif; ?>

            
            <?php if($btnStatus == 'add'): ?>

                <form action="<?php echo e(route('company-data-insertion')); ?>" method="POST" name="addData" id="addData">
                    <?php echo csrf_field(); ?>

                    <div class="form-group">
                        <label class="label-text" required for="company_name">Company name</label>
                        <input type="text" class="form-control input-form" name="company_name" id="company_name"
                            placeholder="Enter company name" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblcompanytype_id">Company type</label>
                        <br>
                        <select name="tblcompanytype_id" id="tblcompanytype_id" required>
                            <option value="Select" disabled selected>Please select</option>
                            <?php if($company_type_data != null): ?>
                                <?php $__currentLoopData = $company_type_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($row->status == 'Active'): ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php else: ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(true): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblindustry_id">Industry</label>
                        <br>
                        <select name="tblindustry_id" id="tblindustry_id" required>
                            <option value="Select" disabled selected> Please select</option>
                            <?php if($industry_data != null): ?>
                                <?php $__currentLoopData = $industry_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($row->status == 'Active'): ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php else: ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(true): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="email">Email</label>
                        <input type="email" class="form-control input-form" name="email" id="email"
                            placeholder="Enter email" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="website">Website</label>
                        <input type="text" class="form-control input-form" name="website" id="website"
                            placeholder="Enter website" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="address">Address</label>
                        <textarea cols="30" rows="5" class="form-control input-form" name="address" id="address"
                            placeholder="Enter address" required></textarea>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='<?php echo e(route('company')); ?>'">CLOSE</button>
                    </div>

                </form>

            <?php endif; ?>

        </div>

    </div>

    <script>
        document
            .addEventListener('DOMContentLoaded', function() {

                const form = document.querySelector('form');
                form.addEventListener('submit', function(event) {


                    if (document.getElementById('tblcompanytype_id').value == "Select") {
                        event.preventDefault();
                        alert('Please select an option of the company type.');
                        return;
                    }
                    if (document.getElementById('tblindustry_id').value == "Select") {
                        event.preventDefault();
                        alert('Please select an option of the industry type.');
                        return;
                    }
                });
            });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('main-page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/company-edition.blade.php ENDPATH**/ ?>