
<?php $__env->startSection('content'); ?>

    <head>
        <title>Reset password successfully</title>

        <script src="<?php echo e(asset('js/all_actions.js')); ?>"></script>
        
        <link rel="stylesheet" href="<?php echo e(asset('css/login_page.css')); ?>">
    </head>

    <body>



        <div class="login-box">

            <div class="text-center">
                <img src="<?php echo e(URL('images/SINO_Logo_no_bg.png')); ?>" style="width: 185px;" alt="logo">
                <h4 style="color: rgb(122, 101, 4); font-weight: bold" class="mt-1 mb-3 pb-1">Sales Pipeline</h4>
            </div>

            <div style="margin:20px 10px 20px 10px">
                <span>Your new password will be sent to </span>
                <span id="currentUsername" style="font-weight: bold; color: rgb(55, 40, 2)"></span>
                <span> email. You may wait a few minutes, please check and log in again. </span>
            </div>

            <form action="<?php echo e(route('login')); ?>" method="GET">

                <div class="d-flex align-items-center justify-content-center pb-4">
                    <p class="mb-0 me-2">Do you need to re-login?</p>
                    <button type="submit" class="btn btn-outline-danger">Re-login</button>
                </div>
            </form>

        </div>
    </body>
    <script>
        let currentUsername = sessionStorage.getItem("currentUsername");
        if (currentUsername == '') {
            document.getElementById("currentUsername").innerHTML = currentUsername;
        } else {
            document.getElementById("currentUsername").innerHTML = <?php echo json_encode(session('currentUsername'), 15, 512) ?>;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('head-ref-src', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/reset-password.blade.php ENDPATH**/ ?>