<?php $__env->startSection('content'); ?>

    <div class="height-100">

        <div id="data-form" class="container mt-5 my-form">

            
            <?php if($btnStatus == 'update'): ?>

                <form action="<?php echo e(route('contact-data-updation', [$currentRowData['contact_id']])); ?>" method="POST">
                    <?php echo csrf_field(); ?>

                    <input type="hidden" name="dataStore" id="dataStore" value="<?php echo e($dataStore); ?>">

                    <div class="form-group">
                        <label class="label-text" required for="tblcompany_id">Company name</label>
                        <br>
                        <select name="tblcompany_id" id="tblcompany_id" required>
                            <option value="Select" disabled>Please select</option>
                            <?php if($company_data != null): ?>
                                <?php $__currentLoopData = $company_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value=<?php echo e($row->id); ?>>
                                        <?php echo e($row->name . ' { ' . $row->company_type . ', ' . $row->industry_name . ' }'); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="contact_name">Name</label>
                        <input type="text" class="form-control input-form" name="contact_name" id="contact_name"
                            placeholder="Enter contact name" maxlength="45" required
                            value="<?php echo e($currentRowData['contact_name']); ?>">
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="conatct_surname">Surname</label>
                        <input type="text" class="form-control input-form" name="conatct_surname" id="conatct_surname"
                            placeholder="Enter surname" value="<?php echo e($currentRowData['conatct_surname']); ?>" maxlength="45"
                            required>
                    </div>
                    <div class="form-group">
                        <label class="label-text" required for="phone">Phone</label>
                        <input type="phone" class="form-control input-form" name="phone" id="phone"
                            placeholder="Enter phone" value="<?php echo e($currentRowData['phone']); ?>" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="email">Email</label>
                        <input type="email" class="form-control input-form" name="email" id="email"
                            placeholder="Enter email" value="<?php echo e($currentRowData['email']); ?>" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="contact_status">Status</label>
                        <br>
                        <select name="contact_status" id="contact_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active">Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <script>
                        document.getElementById("tblcompany_id").value = <?php echo json_encode($currentRowData['tblcompany_id'], 15, 512) ?>;
                        document.getElementById("contact_status").value = <?php echo json_encode($currentRowData['contact_status'], 15, 512) ?>;
                    </script>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='<?php echo e(route('contact')); ?>'">CLOSE</button>
                    </div>

                </form>

            <?php endif; ?>

            
            <?php if($btnStatus == 'add'): ?>

                <form action="<?php echo e(route('contact-data-insertion')); ?>" method="POST">
                    <?php echo csrf_field(); ?>

                    <div class="form-group">
                        <label class="label-text" required for="tblcompany_id">Company name</label>
                        <br>
                        <select name="tblcompany_id" id="tblcompany_id" required>
                            <option value="Select" selected disabled>Please select</option>
                            <?php if($company_data != null): ?>
                                <?php $__currentLoopData = $company_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value=<?php echo e($row->id); ?>>
                                        <?php echo e($row->name . ' { ' . $row->company_type . ', ' . $row->industry_name . ' }'); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="contact_name">Name</label>
                        <input type="text" class="form-control input-form" name="contact_name" id="contact_name"
                            placeholder="Enter contact name" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="conatct_surname">Surname</label>
                        <input type="text" class="form-control input-form" name="conatct_surname" id="conatct_surname"
                            placeholder="Enter surname" maxlength="45" required>
                    </div>
                    <div class="form-group">
                        <label class="label-text" required for="phone">Phone </label>
                        <input type="phone" class="form-control input-form" name="phone" id="phone"
                            placeholder="Enter phone" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="email">Email</label>
                        <input type="email" class="form-control input-form" name="email" id="email"
                            placeholder="Enter email" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="contact_status">Status</label>
                        <br>
                        <select name="contact_status" id="contact_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active" selected>Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='<?php echo e(route('contact')); ?>'">CLOSE</button>
                    </div>

                </form>

            <?php endif; ?>

        </div>

    </div>

    <script>
        document
            .addEventListener('DOMContentLoaded', function() {
                const form = document.querySelector('form');
                form.addEventListener('submit', function(event) {


                    if (document.getElementById('tblcompany_id').value == "Select") {
                        event.preventDefault();
                        alert('Please select an option of the company name.');
                        return;
                    }
                    if (document.getElementById('contact_status').value == "Select") {
                        event.preventDefault();
                        alert('Please select an option of the status.');
                        return;
                    }
                });
            });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('main-page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/contact-edition.blade.php ENDPATH**/ ?>