
<?php $__env->startSection('content'); ?>

    <head>
        <?php if($type == 1): ?>
            <title>Registration is successful</title>
        <?php endif; ?>
        <?php if($type == 2): ?>
            <title>Password reset is successful</title>
        <?php endif; ?>
        <script src="<?php echo e(asset('js/all_actions.js')); ?>"></script>
        
        <link rel="stylesheet" href="<?php echo e(asset('css/login_page.css')); ?>">
    </head>

    <body>

        <div class="login-box">

            <div class="text-center">
                <img src="<?php echo e(URL('images/SINO_Logo_no_bg.png')); ?>" style="width: 185px;" alt="logo">
                <h4 style="color: rgb(122, 101, 4); font-weight: bold" class="mt-1 mb-3 pb-1">Sales Pipeline</h4>
            </div>

            <?php if($type == 1): ?>
                <div style="margin:20px 10px 20px 10px">
                    <span style="color: rgb(116, 94, 0); font-size: 13px;font-weight: bold">Congraturations!</span>
                    <span>Your registration is successful. Your password will sent to the</span>
                    <span id="currentUsername" style="font-weight: bold; color: rgb(55, 40, 2)"></span>
                    <span> email. You may wait a few minutes, please check and log in again. </span>
                </div>
            <?php endif; ?>

            <?php if($type == 2): ?>
                <div style="margin:20px 10px 20px 10px">
                    <span>Your new password will be sent to </span>
                    <span id="currentUsername" style="font-weight: bold; color: rgb(55, 40, 2)"></span>
                    <span> email. You may wait a few minutes, please check and log in again. </span>
                </div>
            <?php endif; ?>

            <form action="<?php echo e(route('login')); ?>" method="GET">

                <div class="d-flex align-items-center justify-content-center pb-4">
                    <p class="mb-0 me-2">Do you need to <button type="submit"
                            class="btn btn-outline-danger">re-login</button> ?</p>

                </div>
            </form>

        </div>
    </body>
    <script>
        let currentUsername = sessionStorage.getItem("currentUsername");
        if (currentUsername == '') {
            document.getElementById("currentUsername").innerHTML = currentUsername;
        } else {
            document.getElementById("currentUsername").innerHTML = <?php echo json_encode(session('currentUsername'), 15, 512) ?>;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('head-ref-src', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/successful-result.blade.php ENDPATH**/ ?>