<?php $__env->startSection('content'); ?>

    <head>
        <title>Company Data Management</title>
        
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css"
            integrity="sha512-vKMx8UnXk60zUwyUnUPM3HbQo8QfmNx7+ltw8Pm5zLusl1XIfwcxo8DbWCqMGKaWeNxWA8yrx5v3SaVpMvR3CA=="
            crossorigin="anonymous" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"
            integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw=="
            crossorigin="anonymous"></script>

    </head>

    <div class="height-100">

        <form action="<?php echo e(route('company-edition', ['add'])); ?>" method="POST">
            <?php echo csrf_field(); ?>

            <button class="button-s6" type="submit">Add</button>

        </form>

        <form action="<?php echo e(route('company-edition', ['update'])); ?>" method="POST">
            <?php echo csrf_field(); ?>

            <input type="hidden" name="currentRowData" id="currentRowData">

            <div id="data-table" class="container">
                <div class="row">

                    <table name="company_table" id="company_table" class="table table-bordered table-striped"
                        style="width: 100%">
                        <thead>
                            <tr>
                                <th class="hidden-column"></th>
                                <th class="dt-head-center">Name</th>
                                <th class="hidden-column"></th>
                                <th class="dt-head-center">Company Type</th>
                                <th class="hidden-column"></th>
                                <th class="dt-head-center">Industry</th>
                                <th class="dt-head-center">Email</th>
                                <th class="dt-head-center">Website</th>
                                <th class="dt-head-center">Address</th>
                                <th class="dt-head-center">Action</th>

                            </tr>
                        </thead>

                        <tbody>

                            <?php if($company_data != null): ?>
                                <?php $__currentLoopData = $company_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <th class="hidden-column"><?php echo e($row->id); ?></th>
                                        <td><?php echo e($row->name); ?></td>
                                        <th class="hidden-column"><?php echo e($row->tblcompanytype_id); ?></th>
                                        <td><?php echo e($row->company_type); ?></td>
                                        <th class="hidden-column"><?php echo e($row->tblindustry_id); ?></th>
                                        <td><?php echo e($row->industry_name); ?></td>
                                        <td><?php echo e($row->email); ?></td>
                                        <td><?php echo e($row->website); ?> </td>
                                        <td><?php echo e($row->address); ?></td>
                                        <td class="gap-3 action-button-center">

                                            <button name="btn<?php echo e($row->id); ?>" id="<?php echo e($row->id); ?>"
                                                class="button-s1" onclick="editCompanyData(this)"
                                                type="submit">Edit</button>

                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>

                        </tbody>

                    </table>

                </div>


        </form>

        <?php if(session('toastr')): ?>
            <script>
                var toastrMessage = <?php echo json_encode(session('toastr'), 15, 512) ?>;
                toast_action(toastrMessage);
            </script>
        <?php endif; ?>

    </div>

    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#company_table').DataTable({
                dom: '<"top-wrapper"l>rfti<"bottom-wrapper"p>',
                order: [
                    [0, 'desc']
                ],
                lengthMenu: [
                    [10, 50, 100, "All"],
                    [10, 50, 100, "All"]
                ]
            });
        })
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('main-page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/company.blade.php ENDPATH**/ ?>