<?php $__env->startSection('content'); ?>

    <head>
        <link rel="stylesheet" href="<?php echo e(asset('css/buttons_design.css')); ?>">

        
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css"
            integrity="sha512-vKMx8UnXk60zUwyUnUPM3HbQo8QfmNx7+ltw8Pm5zLusl1XIfwcxo8DbWCqMGKaWeNxWA8yrx5v3SaVpMvR3CA=="
            crossorigin="anonymous" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"
            integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw=="
            crossorigin="anonymous"></script>

    </head>
    <div class="height-100">


        <div id="data-form" class="container mt-5 my-form">

            
            <?php if($btnStatus == 'update'): ?>

                <form id="deal-data-form" action="<?php echo e(route('deal-data-updation', [$currentRowData['deal_id']])); ?>"
                    method="POST">
                    <?php echo csrf_field(); ?>

                    <input type="hidden" name="dataStore" id="dataStore" value="<?php echo e($dataStore); ?>">

                    <div class="form-group">
                        <label class="label-text" required for="deal_name">Deal name</label>
                        <input type="text" class="form-control input-form" name="deal_name" id="deal_name"
                            placeholder="Enter deal name" maxlength="45" required
                            value="<?php echo e($currentRowData['deal_name']); ?>">
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="dealstatus">Deal status</label>
                        <br>
                        <select name="dealstatus" id="dealstatus" onchange="changeColor(this)" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="New" selected>New</option>
                            <option value="Dealing">Dealing</option>
                            <option value="Win">Win</option>
                            <option value="Lost">Lost</option>
                            <option value="In-progress">In-progress</option>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="dealval">Deal value</label>
                        <input type="text" class="form-control input-form" name="dealval" id="dealval"
                            placeholder="Enter deal value" maxlength="10" required value="<?php echo e($currentRowData['dealval']); ?>"
                            onkeypress='return event.charCode == 46 || (event.charCode >= 48 && event.charCode <= 57)'>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblcompany_id">Company name</label>
                        <br>
                        <select name="tblcompany_id" id="tblcompany_id" required onchange='changeCompany(this.value)'>
                            <option value="Select" disabled>Please select</option>
                            <?php if($company_data != null): ?>
                                <?php $__currentLoopData = $company_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>>
                                        <?php echo e($row->name . ' { ' . $row->company_type . ', ' . $row->industry_name . ' }'); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblcontact_id">Contact name</label>
                        <br>
                        <select name="tblcontact_id" id="tblcontact_id" required>
                            <option value="Select" disabled>Please select</option>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="deal_status">Status</label>
                        <br>
                        <select name="deal_status" id="deal_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active">Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tbldealtype_id">Deal type</label>
                        <br>
                        <select name="tbldealtype_id" id="tbldealtype_id" required>
                            <option value="Select" disabled>Please select</option>
                            <?php if($deal_type_data != null): ?>
                                <?php $__currentLoopData = $deal_type_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($row->status == 'Active'): ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php else: ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(true): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblsource_id">Source</label>
                        <br>
                        <select name="tblsource_id" id="tblsource_id" required>
                            <option value="Select" disabled>Please select</option>
                            <?php if($source_data != null): ?>
                                <?php $__currentLoopData = $source_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($row->status == 'Active'): ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php else: ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(true): echo 'disabled'; endif; ?>><?php echo e($row->name); ?>

                                        </option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="detail">Deal detail</label>
                        <textarea cols="30" rows="5" type="text" class="form-control input-form" name="detail" id="detail"
                            placeholder="Enter deal detail" required><?php echo e($currentRowData['detail']); ?></textarea>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tbluser_id">Deal owner</label>
                        <br>
                        <select name="tbluser_id" id="tbluser_id" required>
                            <option value="Select" disabled>Please select</option>
                            <?php if($user_data != null): ?>
                                <?php $__currentLoopData = $user_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($row->status == 'Active'): ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>>
                                            <?php echo e($row->user_fullname); ?></option>
                                    <?php else: ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(true): echo 'disabled'; endif; ?>>
                                            <?php echo e($row->user_fullname); ?></option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div id="deal_activity_id" class="mt-4 mb-4">

                        <button
                            onclick="window.location.href='<?php echo e(route('deal-activity-edition', ['btnStatus' => 'add', 'd_ac_id' => 0])); ?>'"
                            name="btn<?php echo e($row->id); ?>" id="btn<?php echo e($row->id); ?>" class="button-s9"
                            type="button">Add
                            activity </button>

                        <input type="hidden" name="currentRowData1" id="currentRowData1">

                        <div id="data-table" class="container">
                            <table nane="deal_activity_table" id="deal_activity_table"
                                class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th class="hidden-column"></th>
                                        <th class="dt-head-center">Activity Detail</th>
                                        <th class="dt-head-center">Activity Datetime</th>
                                        <th class="dt-head-center">Status</th>
                                        <th class="hidden-column">tbldeal_id</th>
                                        <th class="dt-head-center">Action</th>
                                    </tr>
                                </thead>
                                <tbody>

                                    <?php if($deal_activity_data != null): ?>
                                        <?php $__currentLoopData = $deal_activity_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <?php
                                                $newDate = date('d/m/Y H:i', strtotime($row->datetime));
                                                $d_ac_id = $row->id;
                                                ?>
                                                <th class="hidden-column"><?php echo e($row->id); ?></th>
                                                <td class="hidden-column"><?php echo e($row->tbldeal_id); ?></td>
                                                <td><?php echo e($row->detail); ?></td>
                                                <td><?php echo e($newDate); ?></td>
                                                <td class="dt-head-center"><?php echo e($row->status); ?></td>
                                                <td class="gap-3 action-button-center">
                                                    <?php if($row->status == 'Active'): ?>
                                                        <button
                                                            onclick="window.location.href='<?php echo e(route('deal-activity-edition', ['btnStatus' => 'update', 'd_ac_id' => $d_ac_id])); ?>'"
                                                            name="btn<?php echo e($row->id); ?>" id="btn<?php echo e($row->id); ?>"
                                                            class="button-s1" type="button">Edit </button>
                                                    <?php endif; ?>
                                                    <?php if($row->status == 'Inactive'): ?>
                                                        <button disabled
                                                            onclick="window.location.href='<?php echo e(route('deal-activity-edition', ['btnStatus' => 'update', 'd_ac_id' => $d_ac_id])); ?>'"
                                                            name="btn<?php echo e($row->id); ?>" id="btn<?php echo e($row->id); ?>"
                                                            class="button-s10" type="button">Edit </button>
                                                    <?php endif; ?>

                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>

                                </tbody>

                            </table>

                        </div>

                    </div>


                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='<?php echo e(route('deal')); ?>'">CLOSE</button>
                    </div>

                </form>

                <script>
                    document.getElementById("dealstatus").value = <?php echo json_encode($currentRowData['dealstatus'], 15, 512) ?>;
                    document.getElementById("tblcompany_id").value = <?php echo json_encode($currentRowData['tblcompany_id'], 15, 512) ?>;

                    var allContacts = <?php echo json_encode($contact_data, 15, 512) ?>;
                    var contactOptions = document.getElementById("tblcontact_id");

                    contactOptions.options.length = 0;
                    var option = document.createElement("option");
                    option.value = "Select";
                    option.text = "Please select";
                    option.disabled = true;
                    option.selected = true;
                    contactOptions.add(option)

                    for (var i = 0; i < allContacts.length; i++) {

                        var contact_id = allContacts[i]['id'];
                        var contact_fullname = allContacts[i]['contact_fullname'];
                        var contact_status = allContacts[i]['status'];
                        var company_id = allContacts[i]['tblcompany_id'];

                        if (<?php echo json_encode($currentRowData['tblcompany_id'], 15, 512) ?> == company_id) {

                            var more_option = document.createElement("option");
                            more_option.value = contact_id;
                            more_option.text = contact_fullname;

                            if (contact_status == "Active") {
                                more_option.disabled = false;

                            } else {
                                more_option.disabled = true;
                            }
                            contactOptions.add(more_option)

                        }
                    }

                    document.getElementById("tblcontact_id").value = <?php echo json_encode($currentRowData['tblcontact_id'], 15, 512) ?>;
                    document.getElementById("deal_status").value = <?php echo json_encode($currentRowData['deal_status'], 15, 512) ?>;
                    document.getElementById("tbldealtype_id").value = <?php echo json_encode($currentRowData['tbldealtype_id'], 15, 512) ?>;
                    document.getElementById("tblsource_id").value = <?php echo json_encode($currentRowData['tblsource_id'], 15, 512) ?>;
                    document.getElementById("tbluser_id").value = <?php echo json_encode($currentRowData['tbluser_id'], 15, 512) ?>;
                </script>
                <?php if(session('toastr')): ?>
                    <script>
                        var toastrMessage = <?php echo json_encode(session('toastr'), 15, 512) ?>;
                        toast_action(toastrMessage);
                    </script>
                <?php endif; ?>
            <?php endif; ?>

            
            <?php if($btnStatus == 'add'): ?>

                <form id="deal-data-form" action="<?php echo e(route('deal-data-insertion')); ?>" method="POST">
                    <?php echo csrf_field(); ?>


                    <div class="form-group">
                        <label class="label-text" required for="deal_name">Deal name</label>
                        <input type="text" class="form-control input-form" name="deal_name" id="deal_name"
                            placeholder="Enter deal name" maxlength="45" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="dealstatus">Deal status</label>
                        <br>
                        <select name="dealstatus" id="dealstatus" onchange="changeColor()" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="New" selected>New</option>
                            <option value="Dealing">Dealing</option>
                            <option value="Win">Win</option>
                            <option value="Lost">Lost</option>
                            <option value="In-progress">In-progress</option>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="dealval">Deal value</label>
                        <input type="text" class="form-control input-form" name="dealval" id="dealval"
                            placeholder="Enter deal value" maxlength="10" required
                            onkeypress='return event.charCode == 46 || (event.charCode >= 48 && event.charCode <= 57)'>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblcompany_id">Company name</label>
                        <br>
                        <select name="tblcompany_id" id="tblcompany_id" required onchange='changeCompany(this.value)'>
                            <option value="Select" disabled selected>Please select</option>
                            <?php if($company_data != null): ?>
                                <?php $__currentLoopData = $company_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>>
                                        <?php echo e($row->name . ' { ' . $row->company_type . ', ' . $row->industry_name . ' }'); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblcontact_id">Contact name</label>
                        <br>
                        <select name="tblcontact_id" id="tblcontact_id" required>
                            <option value="Select" disabled selected>Please select</option>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="deal_status">Status</label>
                        <br>
                        <select name="deal_status" id="deal_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active" selected>Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tbldealtype_id">Deal type</label>
                        <br>
                        <select name="tbldealtype_id" id="tbldealtype_id" required>
                            <option value="Select" disabled selected>Please select</option>
                            <?php if($deal_type_data != null): ?>
                                <?php $__currentLoopData = $deal_type_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($row->status == 'Active'): ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>>
                                            <?php echo e($row->name); ?>

                                        </option>
                                    <?php else: ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(true): echo 'disabled'; endif; ?>>
                                            <?php echo e($row->name); ?>

                                        </option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tblsource_id">Source</label>
                        <br>
                        <select name="tblsource_id" id="tblsource_id" required>
                            <option value="Select" disabled selected>Please select</option>
                            <?php if($source_data != null): ?>
                                <?php $__currentLoopData = $source_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($row->status == 'Active'): ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>>
                                            <?php echo e($row->name); ?>

                                        </option>
                                    <?php else: ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(true): echo 'disabled'; endif; ?>>
                                            <?php echo e($row->name); ?>

                                        </option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="detail">Deal detail</label>
                        <textarea cols="30" rows="5" type="text" class="form-control input-form" name="detail"
                            id="detail" placeholder="Enter deal detail" required></textarea>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="tbluser_id">Deal owner</label>
                        <br>
                        <select name="tbluser_id" id="tbluser_id" required>
                            <option value="Select" disabled selected>Please select</option>
                            <?php if($user_data != null): ?>
                                <?php $__currentLoopData = $user_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($row->status == 'Active'): ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(false): echo 'disabled'; endif; ?>>
                                            <?php echo e($row->user_fullname); ?></option>
                                    <?php else: ?>
                                        <option value=<?php echo e($row->id); ?> <?php if(true): echo 'disabled'; endif; ?>>
                                            <?php echo e($row->user_fullname); ?></option>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    </div>


                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='<?php echo e(route('deal')); ?>'">CLOSE</button>
                    </div>

                </form>

            <?php endif; ?>

        </div>

    </div>

    <script>
        window.addEventListener('load', () => {
            changeColor();
        });

        function changeCompany(val) {
            var allContacts = <?php echo json_encode($contact_data, 15, 512) ?>;
            var contactOptions = document.getElementById("tblcontact_id");

            contactOptions.options.length = 0;
            var option = document.createElement("option");
            option.value = "Select";
            option.text = "Please select";
            option.disabled = true;
            option.selected = true;
            contactOptions.add(option)

            for (var i = 0; i < allContacts.length; i++) {

                var contact_id = allContacts[i]['id'];
                var contact_fullname = allContacts[i]['contact_fullname'];
                var contact_status = allContacts[i]['status'];
                var company_id = allContacts[i]['tblcompany_id'];

                if (val == company_id) {

                    var more_option = document.createElement("option");
                    more_option.value = contact_id;
                    more_option.text = contact_fullname;

                    if (contact_status == "Active") {
                        more_option.disabled = false;

                    } else {
                        more_option.disabled = true;
                    }
                    contactOptions.add(more_option)

                }
            }
        }
        document.addEventListener("DOMContentLoaded", function() {

            const form = document.querySelector("form");
            form.addEventListener("submit", function(event) {

                if (document.getElementById("dealstatus").value == "Select") {
                    event.preventDefault();
                    alert("Please select an option of the deal status.");
                    return;
                }

                if (document.getElementById("tblcompany_id").value == "Select") {
                    event.preventDefault();
                    alert("Please select an option of the company name.");
                    return;
                }

                if (document.getElementById("tblcontact_id").value == "Select") {
                    event.preventDefault();
                    alert("Please select an option of the contact name.");
                    return;
                }
                if (document.getElementById("deal_status").value == "Select") {
                    event.preventDefault();
                    alert("Please select an option of the status.");
                    return;
                }

                if (document.getElementById("tbldealtype_id").value == "Select") {
                    event.preventDefault();
                    alert("Please select an option of the deal type.");
                    return;
                }

                if (document.getElementById("tblsource_id").value == "Select") {
                    event.preventDefault();
                    alert("Please select an option of the source.");
                    return;
                }

                if (document.getElementById("tbluser_id").value == "Select") {
                    event.preventDefault();
                    alert("Please select an option of the user.");
                    return;
                }
            });
        });


        function editDealActivityData(table) {
            var deal_activity_table = document.getElementById("deal_activity_table");

            var row_index = table.parentNode.parentNode.rowIndex;
            var btn = document.getElementById("btn" + row_index);
            var currentRowData = new Object();
            currentRowData.deal_activity_id = deal_activity_table.rows
                .item(row_index)
                .cells.item(0).innerHTML;
            currentRowData.tbldeal_id = deal_activity_table.rows
                .item(row_index)
                .cells.item(1).innerHTML;
            currentRowData.deal_name = deal_activity_table.rows
                .item(row_index)
                .cells.item(2).innerHTML;
            currentRowData.detail = deal_activity_table.rows
                .item(row_index)
                .cells.item(3).innerHTML;
            currentRowData.datetime = deal_activity_table.rows
                .item(row_index)
                .cells.item(4).innerHTML;
            var jsonString = JSON.stringify(currentRowData);
            document.getElementById("currentRowData1").value = jsonString;
            btn.value = 'currentRowData1';



        }
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('main-page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/deal-edition.blade.php ENDPATH**/ ?>