<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
// use Config;
use Illuminate\Support\Facades\Config;

class SettingController extends Controller
{
    public function index()
    {
        print_r('Config page');
    }

    public function getHost()
    {
        return Config::get('setting_config.Host');
    }
    public function getDC()
    {
        return Config::get('setting_config.DC');
    }

    public function getMasterUser()
    {
        return Config::get('setting_config.MasterUser');
    }
    public function getMasterPassword()
    {
        return Config::get('setting_config.MasterPassword');
    }

    public function getSecretKey()
    {
        return Config::get('setting_config.SecretKey');
    }
    public function getEncryptionMode()
    {
        return Config::get('setting_config.EncryptionMode');
    }

    public function setEncryptionCode($value)
    {
        Config::set('setting_config.EncryptionCode', $value);
    }

}
