@extends('head-ref-src')
@section('content')

    <head>
        @if ($type == 1)
            <title>Registration is successful</title>
        @endif
        @if ($type == 2)
            <title>Password reset is successful</title>
        @endif
        <script src="{{ asset('js/all_actions.js') }}"></script>
        {{-- CSS Designs --}}
        <link rel="stylesheet" href="{{ asset('css/login_page.css') }}">
    </head>

    <body>

        <div class="login-box">

            <div class="text-center">
                <img src="{{ URL('images/SINO_Logo_no_bg.png') }}" style="width: 185px;" alt="logo">
                <h4 style="color: rgb(122, 101, 4); font-weight: bold" class="mt-1 mb-3 pb-1">Sales Pipeline</h4>
            </div>

            @if ($type == 1)
                <div style="margin:20px 10px 20px 10px">
                    <span style="color: rgb(116, 94, 0); font-size: 13px;font-weight: bold">Congraturations!</span>
                    <span>Your registration is successful. Your password will sent to the</span>
                    <span id="currentUsername" style="font-weight: bold; color: rgb(55, 40, 2)"></span>
                    <span> email. You may wait a few minutes, please check and log in again. </span>
                </div>
            @endif

            @if ($type == 2)
                <div style="margin:20px 10px 20px 10px">
                    <span>Your new password will be sent to </span>
                    <span id="currentUsername" style="font-weight: bold; color: rgb(55, 40, 2)"></span>
                    <span> email. You may wait a few minutes, please check and log in again. </span>
                </div>
            @endif

            <form action="{{ route('login') }}" method="GET">

                <div class="d-flex align-items-center justify-content-center pb-4">
                    <p class="mb-0 me-2">Do you need to <button type="submit"
                            class="btn btn-outline-danger">re-login</button> ?</p>

                </div>
            </form>

        </div>
    </body>
    <script>
        let currentUsername = sessionStorage.getItem("currentUsername");
        if (currentUsername == '') {
            document.getElementById("currentUsername").innerHTML = currentUsername;
        } else {
            document.getElementById("currentUsername").innerHTML = @json(session('currentUsername'));
        }
    </script>
@endsection
