<?php $__env->startSection('content'); ?>
    <div class="height-100">

        <div id="data-form" class="container mt-5 my-form">

            
            <?php if($btnStatus == 'update'): ?>
                <form action="<?php echo e(route('industry-data-updation', [$currentRowData['industry_id']])); ?>" method="POST">
                    <?php echo csrf_field(); ?>

                    <div class="form-group">
                        <label class="label-text" required for="industry_name">Industry name</label>
                        <input type="text" class="form-control" name="industry_name" id="industry_name"
                            placeholder="Enter industry name" required value="<?php echo e($currentRowData['industry_name']); ?>">
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="industry_status">Status</label>
                        <br>
                        <select name="industry_status" id="industry_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active">Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                        <script>
                            document.getElementById("industry_status").value = <?php echo json_encode($currentRowData['industry_status'], 15, 512) ?>;
                        </script>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='<?php echo e(route('industry')); ?>'">CLOSE</button>
                    </div>

                </form>
            <?php endif; ?>

            
            <?php if($btnStatus == 'add'): ?>
                <form action="<?php echo e(route('industry-data-insertion')); ?>" method="POST">
                    <?php echo csrf_field(); ?>

                    <div class="form-group">
                        <label class="label-text" required for="industry_name">Industry name</label>
                        <input type="text" class="form-control input-form" name="industry_name" id="industry_name"
                            placeholder="Enter industry name" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="industry_status">Status</label>
                        <br>
                        <select name="industry_status" id="industry_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active" selected>Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='<?php echo e(route('industry')); ?>'">CLOSE</button>
                    </div>

                </form>
            <?php endif; ?>

        </div>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('main-page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/industry-edition.blade.php ENDPATH**/ ?>