<?php $__env->startSection('content'); ?>
    <div class="height-100">

        <div id="data-form" class="container mt-5 my-form">

            
            <?php if($btnStatus == 'update'): ?>
                <form action="<?php echo e(route('deal-type-data-updation', [$currentRowData['deal_type_id']])); ?>" method="POST">
                    <?php echo csrf_field(); ?>

                    <div class="form-group">
                        <label class="label-text" required for="deal_type_name">Deal type</label>
                        <input type="text" class="form-control input-form" name="deal_type_name" id="deal_type_name"
                            placeholder="Enter deal type" required value="<?php echo e($currentRowData['deal_type_name']); ?>">
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="deal_type_status">Status</label>
                        <br>
                        <select name="deal_type_status" id="deal_type_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active">Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <script>
                        document.getElementById("deal_type_status").value = <?php echo json_encode($currentRowData['deal_type_status'], 15, 512) ?>;
                    </script>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='<?php echo e(route('deal-type')); ?>'">CLOSE</button>
                    </div>

                </form>
            <?php endif; ?>

            
            <?php if($btnStatus == 'add'): ?>
                <form action="<?php echo e(route('deal-type-data-insertion')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="form-group">
                        <label class="label-text" required for="deal_type_name">Deal type</label>
                        <input type="text" class="form-control input-form" name="deal_type_name" id="deal_type_name"
                            placeholder="Enter deal type" required>
                    </div>

                    <div class="form-group">
                        <label class="label-text" required for="deal_type_status">Status</label>
                        <br>
                        <select name="deal_type_status" id="deal_type_status" required>
                            <option value="Select" disabled>Please select</option>
                            <option value="Active" selected>Active</option>
                            <option value="Inactive">Inactive</option>
                        </select>
                    </div>

                    <div class="button-group">
                        <button type="submit" class="button-s4" style="width: 80px" id="btn-save">Save</button>
                        <button class="button-s5" style="width: 80px" type="button"
                            onclick="location.href='<?php echo e(route('deal-type')); ?>'">CLOSE</button>
                    </div>

                </form>
            <?php endif; ?>

        </div>

    </div>

    <script>
        document
            .addEventListener('DOMContentLoaded', function() {
                const form = document.querySelector('form');
                form.addEventListener('submit', function(event) {

                    if (document.getElementById('deal_type_status').value == "Select") {
                        event.preventDefault();
                        alert('Please select an option of the status.');
                        return;
                    }
                });
            });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('main-page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/deal-type-edition.blade.php ENDPATH**/ ?>