
<?php $__env->startSection('content'); ?>

    <head>
        <title>Forgot Password</title>
        
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>

        <script src="<?php echo e(asset('js/all_actions.js')); ?>"></script>
        
        <link rel="stylesheet" href="<?php echo e(asset('css/login_page.css')); ?>">
    </head>

    <body>

        <?php if(session('toastr')): ?>
            <script>
                var toastrMessage = <?php echo json_encode(session('toastr'), 15, 512) ?>;
                toast_action(toastrMessage);
            </script>
        <?php endif; ?>

        <div class="login-box">

            <form id="login" action="<?php echo e(route('reset-password')); ?>" method="POST">
                <?php echo csrf_field(); ?>

                <div class="text-center">
                    <img src="<?php echo e(URL('images/SINO_Logo_no_bg.png')); ?>" style="width: 185px;" alt="logo">
                    <h4 style="color: rgb(122, 101, 4); font-weight: bold" class="mt-1 mb-3 pb-1">Sales Pipeline</h4>
                </div>
                <div class="form-group">

                    <div class="input-group">
                        <span class="input-group-text" id="basic-Username">
                            <iconify-icon icon="entypo:email"></iconify-icon>
                        </span>
                        <input id="username" type="email" autocomplete="on" class="form-control" name="username"
                            placeholder="Enter your business email" minlength="17" required>
                    </div>
                    <span id="username_message" style="color: red;margin: 3px 0px 2px px"></span>
                </div>
                <div class="form-group d-flex align-items-center justify-content-center pb-4 mt-3">
                    <div class="col-xs-12 p-b-20">
                        <button type="submit" class="button-s7">Reset password</button>
                    </div>
                </div>

            </form>
            <form action="<?php echo e(route('login')); ?>" method="GET">
                <?php echo csrf_field(); ?>
                <div class="d-flex align-items-center justify-content-center">
                    <p class="mb-0 me-2" style="font-weight: bold;color: rgb(117, 0, 0)">I need to <button type="submit"
                            class="btn btn-outline-danger">log
                            in</button></p>

                </div>
            </form>
        </div>
    </body>

    <script>
        document
            .addEventListener('DOMContentLoaded', function() {
                let user = document.getElementById("username");
                document.getElementById("username_message").innerHTML = '';
                user.classList.remove("is-invalid");
                const form = document.querySelector('form');
                form.addEventListener('submit', function(event) {


                    let lenthtOfUser = user.value.length;
                    let valueChecking = user.value.includes("@sinostech.co.th", lenthtOfUser - 16);
                    if (!(lenthtOfUser > 16 && valueChecking)) {
                        event.preventDefault();
                        document.getElementById("username_message").innerHTML =
                            'Please enter your bussiness email!';
                        user.classList.add("is-invalid");
                        return;
                    }
                });
            });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('head-ref-src', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sales-pipeline\resources\views/forgot-password.blade.php ENDPATH**/ ?>